

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.38. normalize &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.39. normalizer_list" href="normalizer_list.html" />
    <link rel="prev" title="7.3.37. logical_table_remove" href="logical_table_remove.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/normalize.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="normalizer_list.html" title="7.3.39. normalizer_list"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="logical_table_remove.html" title="7.3.37. logical_table_remove"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.38. </span><code class="docutils literal notranslate"><span class="pre">normalize</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="normalize">
<h1><span class="section-number">7.3.38. </span><code class="docutils literal notranslate"><span class="pre">normalize</span></code><a class="headerlink" href="#normalize" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="admonition note">
<p class="admonition-title">注釈</p>
<p>このコマンドは実験的な機能です。</p>
<p>このコマンドは将来的に変更されるかもしれません。</p>
</div>
<div class="section" id="summary">
<h2><span class="section-number">7.3.38.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">normalize</span></code> コマンドは指定したノーマライザーでテキストを正規化します。</p>
<p><code class="docutils literal notranslate"><span class="pre">normalize</span></code> コマンドを使うのにテーブルを作成する必要はありません。このコマンドは、ノーマライザーの結果を確認するのに便利です。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.38.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドの引数は3つです。</p>
<p><code class="docutils literal notranslate"><span class="pre">normalizer</span></code> と <code class="docutils literal notranslate"><span class="pre">string</span></code> が必須です。他は省略できます:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize normalizer
          string
          [flags=NONE]
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.38.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>以下は <code class="docutils literal notranslate"><span class="pre">normalize</span></code> コマンドの簡単な使用例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize NormalizerAuto &quot;aBcDe 123&quot;
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   {
#     &quot;normalized&quot;: &quot;abcde 123&quot;,
#     &quot;types&quot;: [],
#     &quot;checks&quot;: []
#   }
# ]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.38.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションでは <code class="docutils literal notranslate"><span class="pre">normalizer</span></code> の引数について説明します。</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.38.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>必須引数は二つあります。 <code class="docutils literal notranslate"><span class="pre">normalizer</span></code> と <code class="docutils literal notranslate"><span class="pre">string</span></code> です。</p>
<div class="section" id="normalizer">
<h4><span class="section-number">7.3.38.4.1.1. </span><code class="docutils literal notranslate"><span class="pre">normalizer</span></code><a class="headerlink" href="#normalizer" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>ノーマライザー名を指定します。 <code class="docutils literal notranslate"><span class="pre">normalize</span></code> コマンドは <code class="docutils literal notranslate"><span class="pre">normalizer</span></code> で指定された名前のノーマライザーを使います。</p>
<p>組み込みのノーマライザーの一覧は <a class="reference internal" href="../normalizers.html"><span class="doc">ノーマライザー</span></a> にあります。</p>
<p>以下は <code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code> ノーマライザーを使う例です。</p>
<p>TODO</p>
<p>他のノーマライザーを使いたい場合は、 <a class="reference internal" href="register.html"><span class="doc">register</span></a> コマンドでノーマライザープラグインを登録する必要があります。例えば、 <a class="reference external" href="https://github.com/groonga/groonga-normalizer-mysql">groonga-normalizer-mysql</a> を登録することでMySQL互換の正規化方法を使うことができます。</p>
</div>
<div class="section" id="string">
<h4><span class="section-number">7.3.38.4.1.2. </span><code class="docutils literal notranslate"><span class="pre">string</span></code><a class="headerlink" href="#string" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>正規化したい文字列を指定します。</p>
<p><code class="docutils literal notranslate"><span class="pre">string</span></code> の中に文字列を含める場合は、シングルクォート（ <code class="docutils literal notranslate"><span class="pre">'</span></code> ）またはダブルクォート（ <code class="docutils literal notranslate"><span class="pre">&quot;</span></code> ）で <code class="docutils literal notranslate"><span class="pre">string</span></code> をクォートする必要があります。</p>
<p><code class="docutils literal notranslate"><span class="pre">string</span></code> の中で空白を使う例です。</p>
<p>TODO</p>
</div>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.38.4.2. </span>省略可能引数<a class="headerlink" href="#optional-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>いくつか省略可能な引数があります。</p>
<div class="section" id="flags">
<h4><span class="section-number">7.3.38.4.2.1. </span><code class="docutils literal notranslate"><span class="pre">flags</span></code><a class="headerlink" href="#flags" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>ノーマライズ処理をカスタマイズするオプションを指定します。「 <code class="docutils literal notranslate"><span class="pre">|</span></code> 」で区切って複数のオプションを指定することができます。例えば、 <code class="docutils literal notranslate"><span class="pre">REMOVE_BLANK|WITH_TYPES</span></code> というように指定できます。</p>
<p>指定可能なフラグは以下の通りです。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>フラグ</p></th>
<th class="head"><p>説明</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">NONE</span></code></p></td>
<td><p>無視されます。</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">REMOVE_BLANK</span></code></p></td>
<td><p>TODO</p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">WITH_TYPES</span></code></p></td>
<td><p>TODO</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">WITH_CHECKS</span></code></p></td>
<td><p>TODO</p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">REMOVE_TOKENIZED_DELIMITER</span></code></p></td>
<td><p>TODO</p></td>
</tr>
</tbody>
</table>
<p>以下は <code class="docutils literal notranslate"><span class="pre">REMOVE_BLANK</span></code> を使った例です。</p>
<p>TODO</p>
<p>以下は <code class="docutils literal notranslate"><span class="pre">WITH_TYPES</span></code> を使った例です。</p>
<p>TODO</p>
<p>以下は <code class="docutils literal notranslate"><span class="pre">REMOVE_TOKENIZED_DELIMITER</span></code> を使った例です。</p>
<p>TODO</p>
</div>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.38.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, normalized_text]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code></p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">normalized_text</span></code></p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">normalized_text</span></code> はオブジェクトです。このオブジェクトは以下の属性を持っています。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>名前</p></th>
<th class="head"><p>説明</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">normalized</span></code></p></td>
<td><p>正規化されたテキスト。</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">types</span></code></p></td>
<td><p>正規化されたテキストのtype(文字種別)の配列です。N番目の <code class="docutils literal notranslate"><span class="pre">types</span></code> は正規化されたテキストのN番目の文字のtype(文字種別)を示しています。</p></td>
</tr>
</tbody>
</table>
</div></blockquote>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.38.6. </span>参考<a class="headerlink" href="#see-also" title="このヘッドラインへのパーマリンク">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="../normalizers.html"><span class="doc">ノーマライザー</span></a></p></li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.38. <code class="docutils literal notranslate"><span class="pre">normalize</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.38.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.38.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.38.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.38.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.38.4.1. 必須引数</a><ul>
<li><a class="reference internal" href="#normalizer">7.3.38.4.1.1. <code class="docutils literal notranslate"><span class="pre">normalizer</span></code></a></li>
<li><a class="reference internal" href="#string">7.3.38.4.1.2. <code class="docutils literal notranslate"><span class="pre">string</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#optional-parameters">7.3.38.4.2. 省略可能引数</a><ul>
<li><a class="reference internal" href="#flags">7.3.38.4.2.1. <code class="docutils literal notranslate"><span class="pre">flags</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.38.5. 戻り値</a></li>
<li><a class="reference internal" href="#see-also">7.3.38.6. 参考</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="logical_table_remove.html"
                        title="前の章へ"><span class="section-number">7.3.37. </span><code class="docutils literal notranslate"><span class="pre">logical_table_remove</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="normalizer_list.html"
                        title="次の章へ"><span class="section-number">7.3.39. </span><code class="docutils literal notranslate"><span class="pre">normalizer_list</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="normalizer_list.html" title="7.3.39. normalizer_list"
             >次へ</a> |</li>
        <li class="right" >
          <a href="logical_table_remove.html" title="7.3.37. logical_table_remove"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.38. </span><code class="docutils literal notranslate"><span class="pre">normalize</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>